import micro_request from '@/utils/micro_request'

const basePath = process.env.VUE_APP_ParentPath
console.log(basePath)
export default {
  login(query) {
    return micro_request.postRequest(basePath, 'Auth', 'Login', query)
  },
  logout(query) {
    return micro_request.postRequest(basePath, 'Auth', 'LogOut', query)
  },
  // 获取列表
  getList(query) {
    return micro_request.postRequest(basePath, 'Product', 'GetList', query)
  },
  doAdd(query) {
    return micro_request.postRequest(basePath, 'Product', 'Create', query)
  },
  doEdit(query) {
    return micro_request.postRequest(basePath, 'Product', 'UpdateById', query)
  },
  doDelete(query) {
    return micro_request.postRequest(basePath, 'Product', 'DeleteByIds', query)
  },
  doGetEntityById(query) {
    return micro_request.postRequest(basePath, 'Product', 'GetEntityById', query)
  },
}
